Subject: bug#7382: closed (Re: bug#7382: 24.0.50; lucid menu bar is all blank)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 15 Nov 2010 06:10:03 +0000

Your bug report

#7382: 24.0.50; lucid menu bar is all blank

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7382: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7382
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7382: 24.0.50; lucid menu bar is all blank
From: Katsumi Yamaoka <[email-masked]>
To: Jan Djärv <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Nov 2010 15:14:23 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Closed this thread since it doesn't seem to be a bug.

Katsumi Yamaoka wrote:
> Jan Djärv <[email-masked]> wrote:
[...]
>> Can you try starting emacs with -xrm '*faceName: none'?

> It makes the menu bar display item texts properly with `emacs -Q'.

I guess something has changed in Emacs trunk just before I upgraded
Fedora into 14 in October 25.  But that's ok.  After a long time
I created the ~/.Xdefaults file with these two items:

Emacs.pane.menubar.faceName:	none
Emacs.pane.dialog.faceName:	none

I had no X resource for Emacs for over ten years because:

1. I'd like to use a true vanilla Emacs when testing something.
2. Some X resources conflicted between Emacs and XEmacs.
3. Most things can be controlled with ELisp.

So, I'd be happy if there are ELisp interfaces to those faceName
items, including (set-face-font 'menu "FONT") that works. :)

Regards,

Subject: 24.0.50; lucid menu bar is all blank
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Date: Fri, 12 Nov 2010 17:17:57 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I don't recall it's been happening since when, but there's no text
in lucid menu bar.  It may be due to Fedora 14 to which I upgraded
recently.  Only workaround I know is to set LC_ALL C when launching
Emacs.  Any idea?

Thanks.

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2010-11-12 on pastis
Windowing system distributor `Fedora Project', version 11.0.10901000
configured using `configure  '--verbose' '--with-x-toolkit=lucid' '--without-xim''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: ja_JP.UTF-8
  value of $LC_MESSAGES: C
  value of $LC_MONETARY: C
  value of $LC_NUMERIC: C
  value of $LC_TIME: C
  value of $LANG: C
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t